GCLOUD_IAM_SERVICE-ACCOUNTS(1)

NAME

gcloud iam service-accounts - create and manipulate service accounts

SYNOPSIS

gcloud iam service-accounts GROUP | COMMAND [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Create and manipulate IAM service accounts. A service account is a special Google account that belongs to your application or a VM, instead of to an individual end user. Your application uses the service account to call the Google API of a service, so that the users aren't directly involved. Note: Service accounts use client quotas for tracking usage. More information on service accounts can be found at: https://cloud.google.com/iam/docs/service-accounts

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

GROUPS
GROUP is one of the following:

    keys
        Manage service account keys.

COMMANDS
COMMAND is one of the following:

    add-iam-policy-binding
        Add IAM policy binding for a service account.

    create
        Create a service account for a project.

    delete
        Delete a service account from a project.

    describe
        Show metadata for a service account from a project.

    get-iam-policy
        Get the IAM policy for a service account.

    list
        List all of a project's service accounts.

    remove-iam-policy-binding
        Remove IAM policy binding for a service account.

    set-iam-policy
        Set IAM policy for a service account.

    sign-blob
        Sign a blob with a managed service account key.

    update
        Update the metadata of an IAM service account.